Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004090TestLinkReportspublic2010-12-10 11:352011-01-22 15:11
ReporterVeron 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004090: Correct custom test result colors aren't shown in charts
DescriptionCorrect custom created test result colors aren't shown in Results by Keyword, Results by Tester and Results for Top Level Suites charts.

The correct colors are shown in Overall Metrics chart.

I took a look at the code and the bug is found in keywordBarChart, ownerBarChart.php and topLevelSuitesBarChart.php:

        foreach($totals as $status => $values)
        {
            $obj->chart_data[] = $values;
            $obj->series_label[] = lang_get($resultsCfg['status_label'][$status]);
            $obj->series_color[] = $resultsCfg['charts']['status_colour'][$status];
        }

When I add similar check than in overallPieChart.php to the code, the custom test result color is shown correctly.

        foreach($totals as $status => $values)
        {
            $obj->chart_data[] = $values;
            $obj->series_label[] = lang_get($resultsCfg['status_label'][$status]);
            if( isset($resultsCfg['charts']['status_colour'][$status]) )
            {
                $obj->series_color[] = $resultsCfg['charts']['status_colour'][$status];
            }
        }
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-4090.zip [^] (4,233 bytes) 2010-12-10 15:54

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012941)
fman (administrator)
2010-12-10 15:48

OK, thanks
(0012942)
fman (administrator)
2010-12-10 15:54

Please try with attached fix and give us feedback
(0012953)
Veron (reporter)
2010-12-13 06:24

That did the trick.
Custom result colors are now shown correctly on the charts.
(0013392)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-12-10 11:35 Veron New Issue
2010-12-10 15:48 fman Note Added: 0012941
2010-12-10 15:54 fman File Added: fix-4090.zip
2010-12-10 15:54 fman Note Added: 0012942
2010-12-10 15:54 fman Assigned To => fman
2010-12-10 15:54 fman Status new => feedback
2010-12-13 06:24 Veron Note Added: 0012953
2010-12-13 06:24 Veron Status feedback => assigned
2010-12-13 20:43 fman Relationship added child of 0004039
2010-12-13 20:43 fman Status assigned => resolved
2010-12-13 20:43 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-13 20:43 fman Resolution open => fixed
2011-01-22 15:11 fman Note Added: 0013392
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker